Subject: Re: bug#54685: 28.0.92; incorrect font on new frame after menu-set-font (Win32)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Apr 2022 08:20:42 +0300

> From: Corwin Brust <[email-masked]>
> Date: Sat, 2 Apr 2022 18:48:59 -0500
> 
> Steps to reproduce:
> 1. emacs -Q
> 2. From the Menu, select Options | Set Default Font
> 3. Pick a distinct looking font (I'm using Robot Light at 17pts)
> 4. C-x 5 2 (open a new frame)
> 
> What I expected:
> The new frame should use the font just selected as the default
> 
> What Happened:
> The new frame selects another font.  Using M-- C-x = in the scratch
> buffer suggests it's choosing:
>   harfbuzz:-outline-Adobe
> Devanagari-normal-normal-normal-serif-13-*-*-*-p-*-iso8859-1

I cannot reproduce this here.  It works as expected for me: the same
font is used on a new frame.

Does this happen for any font on your system, or just for that one?